cascading.flow.planner.iso.assertion

## Class GraphAssert<E extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<E>

Direct Known Subclasses:
  RuleAssert

    public abstract class GraphAssert<E extends ElementGraph>
    extends java.lang.Object

TODO: add level for warning or error, and fail on errors

### Nested Class Summary

Nested Classes
`static class` `GraphAssert.AssertionType`

### Constructor Summary

Constructors
Constructor and Description
`GraphAssert(ExpressionGraph expressionGraph, java.lang.String message)`
`GraphAssert(ExpressionGraph expressionGraph, java.lang.String message, GraphAssert.AssertionType assertionType)`

### Method Summary

Methods
`Asserted` `assertion(PlannerContext plannerContext, E graph)`
`protected abstract Transformed` `transform(PlannerContext plannerContext, E graph)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphAssert

    public GraphAssert(ExpressionGraph expressionGraph,
               java.lang.String message)

#### GraphAssert

    public GraphAssert(ExpressionGraph expressionGraph,
               java.lang.String message,
               GraphAssert.AssertionType assertionType)

### Method Detail

#### transform

    protected abstract Transformed transform(PlannerContext plannerContext,
                        E graph)

#### assertion

    public Asserted assertion(PlannerContext plannerContext,
                     E graph)